body {
  background-color: #f9fafb;
}
.header {
  position: sticky;
  top: 0;
  width: 100%;
  background-color: #fff;
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000),
    var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  border-bottom: 1px solid #f1f1f1;
}

.accesorios-filtro-contenedor {
  padding-top: 6rem;
  display: grid;
  grid-template-columns: 300px 1fr;
  gap: 20px;
  max-width: 1200px;
  margin: 0 auto;
  background-color: #f9fafb;
}

.accesorios-filtro-contenedor-products-header h2 {
  font-size: 2.25rem;
  line-height: 2.5rem;
  margin-bottom: 25px;
  font-weight: 600;

  @media (max-width: 720px) {
    font-size: 1.25rem;
    line-height: 1.75rem;
  }
}

.accesorios-filtro-contenedor-products-sub-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 25px;
}

.ordenas-por-precio {
  display: flex;
  align-items: center;
  gap: 12px;
}

.ordenas-por-precio .separado {
  color: rgb(190, 190, 190);
}
.ordenas-por-precio .resultados {
  color: rgb(52, 64, 84);
  font-size: 14px;
  font-weight: 500;
}

.paginacion-page {
  display: flex;
  justify-content: center;
  gap: 6px;
  /* align-items: center; */
  gap: 1;
}

.paginacion-page.ultimos {
  justify-content: flex-end;
}

.paginacion-page a {
  text-decoration: none;
}

.paginacion-page a.prev,
.paginacion-page a.next {
  border: 1px solid rgb(233 236 241);
  display: block;
  width: 36px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
}

.paginacion-page a,
.paginacion-page span {
  color: rgb(52, 64, 84);
  font-size: 14px;
  font-weight: 500;
}

.paginacion-page a.page-numbers:not(.prev, .next):hover {
  background-color: #f0f2f5;
}

.paginacion-page a.page-numbers:not(.prev, .next),
.paginacion-page span:not(.dots) {
  /* background-color: red; */
  width: 36px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 3px;
}

.paginacion-page span.current {
  background-color: #f2f4f7;
  border: 1px solid rgb(233 236 241);
}

.ordenas-por-precio > span {
  color: #bf4b30;
  font-size: 14px;
  font-weight: 500;
  text-decoration: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 5px;
}

.ordenas-por-precio span.active span.angle {
  position: relative;
  display: block;
  transform: rotate(180deg);
}

.banner-principal-search {
  position: relative;
  display: table;
  width: 100%;
}
.banner-principal-search span {
  position: absolute;
  color: #525252;
  right: 20px;
  font-size: 17px;
  top: 12px;
}

.banner-principal-search input {
  color: rgb(50, 62, 82);
  border: rgb(226, 232, 240);
  outline: none;
  font-weight: 400;
  padding: 11px 15px;
  border: 1px solid #d0d5dd;
  border-radius: 8px;
  width: 100%;
  display: block;
  margin-bottom: 30px;
}

.btn-comprar-filtrar {
  border: none;
  padding-top: 0.4rem;
  padding-bottom: 0.4rem;
  padding-left: 1.1rem;
  padding-right: 1.1rem;
  background-color: #bf4b30;

  color: #fff;
  box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0) 0px 0px 0px 0px,
    rgba(0, 0, 0, 0.05) 0px 1px 2px 0px;
  font-weight: 600;
  font-size: 16px;
  border-radius: 7px;
  text-decoration: none;
  width: 100%;
  margin-bottom: 20px;
  cursor: pointer;
}

.btn-comprar-filtrar:hover {
  background-color: #a8422b;
}

.price-range-container {
  margin-bottom: 50px;
}

.price-range-container h3 {
  font-size: 14px;
  color: #333;
  font-weight: 500;
  margin-bottom: 15px;
}

.price-range-inputs {
  width: 100%;
  display: flex;
  margin-bottom: 1.5rem;
  position: relative;
  align-items: center;
  justify-content: center;
}

.range-slider input[type="range"] {
  outline: 2px solid transparent;
  outline-offset: 2px;
  accent-color: #fff;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 100%;
  height: 0;
  z-index: 3;
  position: absolute;
  pointer-events: none;
}

.range-slider input[type="range"]::-webkit-slider-thumb {
  box-shadow: rgb(255, 255, 255) 0px 0px 0px 0px inset,
    #bf4b30 0px 0px 0px 2px inset, rgba(0, 0, 0, 0) 0px 0px 0px 0px;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  height: 18px;
  width: 18px;
  margin-top: 4px;
  pointer-events: all;
  position: relative;
}

.content-linea-slider {
  width: 100%;
  position: relative;
}

.linea-slider-atras {
  background-color: #d0d5dd;
  border-radius: 9999px;
  width: 100%;
  height: 0.25rem;
  position: absolute;
}

.linea-slider-adelante {
  background-color: #bf4b30;
  border-radius: 9999px;
  height: 0.25rem;
  z-index: 2;
  position: absolute;
}

.precio-izquierda {
  color: #000;
  font-weight: 500;
  font-size: 0.75rem;
  line-height: 1rem;
  margin-top: 1rem;
  position: absolute;
}

.precio-derecha {
  color: #000;
  font-weight: 500;
  font-size: 0.75rem;
  line-height: 1rem;
  margin-top: 1rem;
  right: -0.5rem;
  position: absolute;
}

.content-transmision {
  margin-bottom: 25px;

  h3 {
    font-size: 14px;
    color: #333;
    font-weight: 500;
    margin-bottom: 5px;
  }
}

.content-transmision > div {
  display: grid;
  grid-template-columns: 1fr 1fr;
  border: 1px solid rgb(226, 232, 240);
  border-radius: 7px;
  background-color: #fff;
}
.content-transmision > div a {
  text-decoration: none;
  padding: 13px 10px;
  text-align: center;
  font-size: 14px;
  font-weight: 600;
  color: #667085;

  &:hover {
    background-color: #f2f4f7;
  }
}

.content-transmision > div a.active {
  color: #bf4b30;
  background-color: #bf4b3017;
}

.content-combustible {
  margin-bottom: 25px;

  h3 {
    font-size: 14px;
    color: #333;
    font-weight: 500;
    margin-bottom: 5px;
  }
}
.content-combustible select {
  border: 1px solid #d0d5dd;
  background-color: #fff;
  padding: 10px;
  font-size: 16px;
  width: 100%;
  color: #475467;
  border-radius: 7px;
  outline: none;
}

.caracteristicas-content {
  h3 {
    font-size: 14px;
    color: #333;
    font-weight: 500;
    margin-bottom: 5px;
  }
}

.caracteristicas-content-items div {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 10px;
}

.caracteristicas-content-items div.en-oferta > span {
  background-color: #2e90fa;
  color: #fff;
  display: flex;
  width: 18px;
  height: 18px;
  border-radius: 3px;
  font-size: 13px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.caracteristicas-content-items div.cuatroxcuatro > span {
  background-color: #ef6820;
  color: #fff;
  display: flex;
  width: 18px;
  height: 18px;
  border-radius: 3px;
  font-size: 13px;
  display: flex;
  align-items: center;
  justify-content: center;

  svg {
  }
}
.caracteristicas-content-items div.recientemente > span {
  background-color: #22c55e;
  color: #fff;
  display: flex;
  width: 18px;
  height: 18px;
  border-radius: 3px;
  font-size: 13px;
  display: flex;
  align-items: center;
  justify-content: center;

  svg {
  }
}
.caracteristicas-content-items div.proximos > span {
  background-color: #ee46bc;
  color: #fff;
  display: flex;
  width: 18px;
  height: 18px;
  border-radius: 3px;
  font-size: 13px;
  display: flex;
  align-items: center;
  justify-content: center;

  svg {
  }
}

.caracteristicas-content-items div label {
  display: flex;
  align-items: center;
  gap: 7px;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: #475467;
  font-weight: 500;
}

.caracteristicas-content-items div input {
  width: 20px;
  height: 20px;
  /* Add if not using autoprefixer */
  -webkit-appearance: none;
  /* Remove most all native input styles */
  appearance: none;

  border: 1px solid rgb(209, 209, 209);
  border-radius: 0.15em;

  display: grid;
  place-content: center;
}

.caracteristicas-content-items div input::before {
  content: "";
  width: 0.75em;
  height: 0.75em;
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
  transform: scale(0);
  transform-origin: bottom left;
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em #bf4b30;
  /* Windows High Contrast Mode */
  background-color: #bf4b30;
}

.caracteristicas-content-items div input[type="checkbox"]:checked {
  border-color: #bf4b30;
  background-color: #f7d3cb;
}

.caracteristicas-content-items div input[type="checkbox"]:checked::before {
  transform: scale(1);
}

/* .caracteristicas-content-itemsdiv input: */

/* productos */

.accesorios-filtro-contenedor-products-body {
  padding-bottom: 40px;
}

.accesorios-filtro-contenedor-products-body-cards {
  /* padding: 15px; */
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(225px, 1fr));
  gap: 20px;
  margin-bottom: 30px;
}

.venta-recien-producto-item .imagen {
  overflow: hidden;
  height: 171px;
}

.venta-recien-producto-item {
  text-decoration: none;
  display: block;
  box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0) 0px 0px 0px 0px,
    rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.1) 0px 4px 6px -4px;
  border-radius: 16px;
  overflow: hidden;

  img {
    transition: all 0.2s ease-in-out;
    display: flex;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &:hover img {
    transform: scale(1.1);
  }
}

.venta-recien-producto-item .informacion {
  padding: 10px 18px 30px 18px;
}

.venta-recien-producto-item .informacion {
  padding: 10px 18px 30px 18px;

  .nombre {
    color: #667085;
    font-weight: 600;
    font-size: 0.875rem;
  }

  .marca {
    color: #101828;
    font-weight: 600;
    font-size: 1.125rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 6px;
  }

  .propiedades {
    font-size: 14px;
    color: #667085;
    font-weight: 500;
    margin-bottom: 10px;
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .que-tiene {
    margin-bottom: 16px;
    span {
      background-color: #f7d3cb;
      color: #bf4b30;
      font-size: 13px;
      padding: 3px 10px;
      font-weight: 500;
      /* border-radius: 16px; */
    }
  }

  .linea-separadora {
    width: 100%;
    height: 1px;
    background-color: #eaecf0;
    margin-bottom: 16px;
  }

  .precio {
    color: #101828;
    /* font-size: 1.875rem; */
    font-size: 1.275rem;
    font-weight: 600;
    margin-bottom: 0;
    line-height: 1;
    &:not(.solo) {
      display: flex;
      flex-direction: row-reverse;
      gap: 5px;
      justify-content: flex-end;
      align-items: flex-end;
    }

    ins {
      text-decoration: none;
    }
  }

  .precio-sale {
    color: var(--textos);
    font-size: 0.875rem;
  }

  .precio.solo {
    font-size: 1.875rem;
  }

  .precio.rebajado {
    /* display: none; */
    ins {
      background-image: linear-gradient(
        to right bottom,
        rgb(38, 198, 218),
        rgb(21, 112, 239)
      );
      -webkit-background-clip: text;
      background-clip: text;
      color: transparent;
      font-size: 26px;
    }

    del {
      color: #667085;
      font-size: 0.875rem;
      line-height: 1.25rem;
      font-weight: 400;
    }
  }
}

.banner-final {
  margin-top: 80px;
  background-color: #fff;
  padding: 30px 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.banner-final-content {
  background-color: #f9fafb;
  text-align: center;
  padding: 30px 100px;

  h3 {
    font-weight: 600;
    color: #0c111d;
    margin-bottom: 5px;
    @media (min-width: 720px) {
      font-size: 1.125rem;
      line-height: 1.75rem;
    }
  }

  p {
    font-weight: 500;
    color: #475467;
    margin-bottom: 25px;
    @media (min-width: 720px) {
      font-size: 1rem;
      line-height: 1.5rem;
    }
  }

  a {
    padding-top: 0.6rem;
    padding-bottom: 0.6rem;
    padding-left: 1.1rem;
    padding-right: 1.1rem;
    background-color: #1d2939;
    color: #fff;
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px,
      rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0.05) 0px 1px 2px 0px;
    font-weight: 600;
    font-size: 16px;
    border-radius: 10px;
    text-decoration: none;
  }
}

button.btn-filtrar-responsive {
  width: 100%;
  margin-bottom: 20px;
  border: none;
  padding: 10px 0;
  color: #474b4f;
  font-weight: 600;
  background-color: #e1e2e3;
  box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0) 0px 0px 0px 0px,
    rgba(0, 0, 0, 0.05) 0px 1px 2px 0px;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 7px;
  display: none;
}

.btn-close-modal-filter {
  position: absolute;
  top: 4px;
  right: 10px;
  border: none;
  font-size: 36px;
  line-height: 1;
  color: #bf4b30;
  background-color: transparent;
  cursor: pointer;
}

/* mediaquery */
@media (max-width: 1200px) {
  .accesorios-filtro-contenedor {
    padding: 0 20px;
  }
}

/* mediaquery */
@media (max-width: 900px) {
  .accesorios-filtro-contenedor-products {
    padding: 0;
  }

  .accesorios-filtro-contenedor {
    display: block;
    flex-direction: column-reverse;
    padding-top: 35px;
  }

  .accesorios-filtro-contenedor-products-sub-header {
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
  }

  .ordenas-por-precio .separado {
    display: none;
  }

  .accesorios-filtro-contenedor-aside {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: #fff;
    left: 0;
    top: 0;
    padding: 56px 0 30px 0;
    z-index: 1000;
    overflow: auto;
    display: none;
  }

  button.btn-filtrar-responsive {
    display: block;
  }

  .accesorios-filtro-contenedor-aside.active {
    display: block;
  }

  .accesorios-filtro-contenedor-aside-contenedor {
    width: 300px;
    margin: 0 auto;
  }
}
